using System;
using System.Collections.Generic;

namespace ConsoleApp18
{
	class Program
	{
		static long[] A;
		static double[] P;
		static void Main()
		{
			int n = int.Parse(Console.ReadLine());
			A = new long[n];
			P = new double[n];
			string[] unos = Console.ReadLine().Split(' ');
			A[0] = long.Parse(unos[0]);
			P[0] = double.Parse(unos[1]);
			long u = A[0], x;
			for (int i = 1; i < n; i++)
			{
				unos = Console.ReadLine().Split(' ');
				x = long.Parse(unos[0]);
				u += x;
				Insert(x, double.Parse(unos[1]), i);				
			}

			double max = -1, maxt;
			for (int i = 0; i < n; i++)
			{
				maxt = u * P[i] / 100;
				if (maxt > max)
				{
					max = maxt;
				}
				u -= A[i];
			}
			Console.WriteLine(max);
			Console.ReadKey();
		}
		static void Insert(long a, double p, int n)
		{
			for (int i = 0; i < n; i++)
			{
				if (p < P[i])
				{
					for (int j = n; j > i; j--) 
					{
						P[j] = P[j - 1];
						A[j] = A[j - 1];
					}
					P[i] = p;
					A[i] = a;
					return;
				}
				else 
				{
					if (i == n - 1)
					{
						P[n] = p;
						A[n] = a;
						return;
					}
				}
			}
		}
	}
}